Subject: [Gen-art] Genart last call review of draft-ietf-mpls-sr-over-ip-02

From: Robert Sparks <[email-masked]>
Date: Wed, 20 Feb 2019 07:47:46 -0800

Reviewer: Robert Sparks
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at

<https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.

Document: draft-ietf-mpls-sr-over-ip-02
Reviewer: Robert Sparks
Review Date: 2019-02-20
IETF LC End Date: 2019-02-26
IESG Telechat date: Not scheduled for a telechat

Summary: Ready, but with nits that should be addressed before publication as a
Standards Track RFC

Nits

The 2nd sentence of the introduction is complex. It should be easy to simplify.

It would help to place the reference to draft-ietf-mpls-spring-entropy label at
"If encoding of entropy is desired". (Or if some other reference is better, use
that)

In that same paragraph, something is wrong at "make use of entropy label
mechanism." Should that be "the entropy label mechanism"?

SRGB is used without expansion.

Where is "the lower bound" of an SRGB defined? The string "lower bound" doesn't
occur in either of the routing-extensions drafts referenced where SRGB is first
used.

Section 3.1 is about ostensibly about constructing a FIB entry, but its last
step is sending a packet.

The first sentence in section 3.2 is more complex than it needs to be. It
should be easy to simplify.

It would be nice if you could make the differences between the routers in
figures 3 and 4 visually apparent rather than relying on text to explain the
difference. Something like (view in a fixed width font):

s-----s      i-----i
|  A  +------+  B  +--
s-----s      i--+--i
                |

At the first paragraph on page 9: s/and then process/and then processes/

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 20 Feb 2019 16:22:31 -0000

That's a good review, Robert, thank you.

The changes look achievable to me, and I'm sure the author team can work to include them.

Cheers,
Adrian
--
Want to buy a signed copy of a book of fairy stories for adults of all ages?
Send me an email and I'll bring one to Prague for you.
"Tales from the Wood"
"More Tales from the Wood"
"Tales from Beyond the Wood"
https://www.feedaread.com/profiles/8604/

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Robert Sparks
Sent: 20 February 2019 15:48
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Genart last call review of draft-ietf-mpls-sr-over-ip-02

Reviewer: Robert Sparks

Nits

s-----s      i-----i
|  A  +------+  B  +--
s-----s      i--+--i
                |

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 26 Feb 2019 15:11:07 -0000

Hey Robert,

Some detailed responses.

The revision will be posted when the authors have signed off.

Regards,
Adrian

> The 2nd sentence of the introduction is complex. It should

Done

> It would help to place the reference to draft-ietf-mpls-spring-entropy
> label at "If encoding of entropy is desired". (Or if some other reference
> is better, use that)

Used RFC 6790.

> In that same paragraph, something is wrong at "make use of entropy
> label mechanism." Should that be "the entropy label mechanism"?

Yes. I have done some gardening.

> SRGB is used without expansion.

Fixed.

> Where is "the lower bound" of an SRGB defined? The string "lower bound"
> doesn't occur in either of the routing-extensions drafts referenced where
> SRGB is first used.

The concept of an SRGB is defined in RFC 8402. I've added a reference to this at the first use of 'SRGB'.

> Section 3.1 is about ostensibly about constructing a FIB entry, but its
> last step is sending a packet.

Yes. Overly enthusiastic engineers! 😊
I have jiggled the text so that the last couple of points are about how the FIB is used.

> should be easy to simplify.

OK

> difference. Something like (view in a fixed width font):

We looked at this, but decided against. If we adopt some kind of notation, we will still need to explain it in the text, and the explanation will only complicate things.

> At the first paragraph on page 9: s/and then process/and then processes/

Yes